Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/execline: new aport

From: John Regan <john_at_jrjrtech.com>
Date: Wed, 25 Feb 2015 14:44:09 -0500

---
 testing/execline/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/execline/APKBUILD
diff --git a/testing/execline/APKBUILD b/testing/execline/APKBUILD
new file mode 100644
index 0000000..f78131e
--- /dev/null
+++ b/testing/execline/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor: John Regan <john_at_jrjrtech.com>
+# Maintainer: John Regan <john_at_jrjrtech.com>
+pkgname=execline
+pkgver=2.1.0.0
+pkgrel=0
+pkgdesc="A small scripting language, to be used in place of a shell in non-interactive scripts."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="6d7df07380f18c0902b935d9daba37ff  execline-2.0.2.1.tar.gz"
+sha256sums="c81606403373605129f5d36f13eac42603d5c1f99307b38a3ff6e8544eebd74d  execline-2.0.2.1.tar.gz"
+sha512sums="f1afcfa1b21a6330c319b8f23ef6989e8696b4f7ec869b596f3ef43d5929ba90a9be4a6ad7627a9b12b726e1fa2362dab43c3c21ae4057ef1b6450827442a20f  execline-2.0.2.1.tar.gz"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Feb 25 2015 - 14:44:09 GMT